EmptyStatement (Groovy 3.0.7)

Package org.codehaus.groovy.ast.stmt

## Class EmptyStatement

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.stmt.Statement
    - - org.codehaus.groovy.ast.stmt.EmptyStatement

- All Implemented Interfaces:
    `NodeMetaDataHandler`

      public class EmptyStatement
      extends Statement

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static EmptyStatement` | `INSTANCE` | Immutable singleton that is recommended for use when source range or any other occurrence-specific metadata is not needed.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EmptyStatement()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isEmpty()` |
    `void` | `visit​(GroovyCodeVisitor visitor)` |

    - ### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

      `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, setStatementLabel`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

      `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- - ### Field Detail

    - #### INSTANCE

          public static final EmptyStatement INSTANCE

      Immutable singleton that is recommended for use when source range or any other occurrence-specific metadata is not needed.

  - ### Constructor Detail

    - #### EmptyStatement

          public EmptyStatement()

      See Also:
        `INSTANCE`

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

      Overrides:
        `isEmpty` in class `Statement`

    - #### visit

          public void visit​(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`